/* Configurações Gerais */

* {
  box-sizing: border-box;
  font-family: "Quicksand", sans-serif;
  font-weight: 300;
  margin: 0;
  padding: 0;
}

html,
body {
  background: linear-gradient(135deg, #4f091d, #dd4a48, #121212);
  background-size: 220% 220%;
  animation: gradient 15s ease infinite;
  /* min-height: 100vh; */
  overflow-x: hidden;
  margin: 0;
  min-width: 100vw;
  min-height: 100vh;
}

/* Navbar */

nav {
  align-items: center;
  display: flex;
  margin: 10px 0;
  min-height: 8vh;
  justify-content: space-around;
}

.conteudo {
  margin: auto;
  display: block;
  min-height: 90vh;
}

div a img {
  width: 45px;
}

h2 {
  color: #fafafa;
  font-size: 2rem;
  font-weight: 600;
  letter-spacing: 2px;
}

p {
  color: #f5eedc;
  font-size: 18px;
  font-style: italic;
}

/* Nome da empresa */
body #top {
  display: flex;
  border-radius: 50%;
  border: none;
  justify-content: center;
  align-items: center;
  position: fixed;
  bottom: 10px;
  right: 10px;
  width: 50px;
  height: 50px;
  background-color: rgba(0, 0, 0, 0.349);
  text-decoration: none;
}

body #top::after {
  place-content: center;
  content: "↑";
  font-size: 32px;
  font-weight: bold;
  color: #fff;
  transition: margin-top 250ms;
}

body #top:hover::after {
  margin-top: -8px;
}

#logado,
.logo {
  align-items: center;
  display: flex;
  font-size: 28px;
  gap: 10px;
  letter-spacing: 3px;
  justify-content: center;
}

#logado,
.logo a {
  color: #fafafa;
  display: flex;
  font-family: "Poiret One";
  font-size: 2.5rem;
  font-weight: 400;
  justify-content: center;
  text-decoration: none;
}

/* Links da Navbar */

.nav-links {
  align-items: center;
  display: flex;
  justify-content: space-around;
  width: 50%;
}

.nav-links li {
  list-style: none;
  padding: 1%;
  padding-left: 4%;
}

.nav-links a {
  color: #fafafa;
  font-size: 16px;
  font-weight: 400;
  letter-spacing: 3px;
  text-decoration: none;
  transition: 100ms ease-in;
}

.nav-links a:hover {
  font-weight: 600;
}

/* Navbar Button */

.nav-btn {
  background: fafafa;
  border: none;
  border-radius: 10px;
  color: #dd4a48;
  cursor: pointer;
  display: flex;
  font-size: 16px;
  font-weight: 600;
  justify-content: center;
  outline: none;
  padding: 5px 25px;
  transform: scale(1.08);
  transition: box-shadow 0.1s;
  transition: 100ms ease;
}

.nav-btn:hover {
  box-shadow: 0px 0px 15px #fafafa;
}

.nav-btn-logout {
  background: #dd4a48;
  box-shadow: 0px 0px 5px #fafafa;
  border: none;
  border-radius: 10px;
  color: #fafafa;
  cursor: pointer;
  display: flex;
  font-size: 16px;
  font-weight: 600;
  justify-content: center;
  outline: none;
  padding: 5px 25px;
  transform: scale(1.02);
  transition: box-shadow 0.1s;
  transition: 100ms ease;
}

.nav-btn-logout:hover {
  box-shadow: 0px 0px 15px #fafafa;
}

/* Footer */

footer {
  background-color: #fafafa;
  height: auto;
  margin-top: 5vh;
  padding: 20px 0 0 0;
  width: 100vw;
  bottom: 0;
  align-items: baseline;
  justify-content: baseline;
  text-align: center;
}

.footer-conteudo {
  display: flex;
  align-items: center;
  flex-direction: row;
  justify-content: center;
  text-align: center;
}

.footer-contatos {
  display: flex;
  flex-direction: row;
  justify-content: center;
  text-align: center;
}

h3 {
  color: #121212;
  letter-spacing: 2px;
}

footer p {
  color: #121212;
}

.footer-conteudo a {
  color: #121212;
  font-size: 14px;
  line-height: 28px;
  margin: 10px 20px;
  max-width: 500px;
  text-decoration: none;
  transition: 200ms ease;
}

.footer-conteudo a:hover {
  font-weight: 600;
}

.puc {
  color: #dd4a48;
  font-weight: 600;
  text-decoration: none;
}

.footer-bottom {
  padding: 2px 0;
  text-align: center;
  width: 100vw;
}

.footer-bottom a {
  color: #dd4a48;
  display: flex;
  font-size: 14px;
  justify-content: space-evenly;
  text-decoration: none;
}

.footer-bottom p {
  font-size: 14px;
  margin: 1rem;
  word-spacing: 2px;
}

/* Gaveta responsiva Telas Pequenas */

.burger {
  cursor: pointer;
  display: none;
}

.burger div {
  background-color: #fafafa;
  height: 3px;
  margin: 5px;
  transition: all 0.5s ease;
  width: 25px;
}

/* Conteúdo do Corpo */

.container {
  display: grid;
  align-content: center;
  place-content: center;
  grid-template-areas: "container-left container-right";
  justify-content: space-evenly;
  margin: 2.5rem;
  width: auto;
  text-align: center;
}

/* Conteúdo da esquerda */

.container-left {
  grid-area: container-left;
  margin: 0 auto;
}

.left-img {
  border-radius: 10%;
  box-shadow: 0px 0px 5px #121212;
  height: auto;
  margin-top: 1.5rem;
  width: auto;
  transition: all 0.5s;
}

/*Conteúdo na linha toda */
.container-full-line {
  align-items: center;
  justify-content: center;
  flex-direction: column;
  text-align: center;
  margin: 2rem 2rem 2rem 2rem;
}

/* Conteúdo da direita */

.container-right {
  grid-area: container-right;
}

.right-img {
  border-radius: 20px;
  height: auto;
  margin-top: 30px;
  width: auto;
  transition: all 0.5s;
}

/* Animação conteúdos img */

.right-img:hover,
.left-img:hover {
  scale: 1.01;
  filter: drop-shadow(0px 0px 5px #121212)
}

/* Termos */

.termos {
  background-color: #fafafa;
  margin: 7vh 10vw;
  border-radius: 75px;
  height: 30vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  box-shadow: 0px 0px 5px #121212;
}

.termos p,
.termos a {
  font-weight: 600;
  margin: 0 5vw;
  margin-top: 2vh;
  color: #121212;
}

.termos h2 {
  text-align: center;
  color: #dd4a48;
}

.termos a {
  text-decoration: none;
  color: #dd4a48;
}

#btn-voltar {
  margin: 10vh 15vw -20vh;
  background-color: #fafafa;
  text-decoration: none;
  color: #dd4a48;
  height: auto;
  width: 8vw;
  cursor: pointer;
  background: #fafafa;
  border: none;
  border-radius: 10px;
  color: #dd4a48;
  font-size: 16px;
  justify-content: center;
  outline: none;
  padding: 5px 25px;
  transform: scale(1.02);
  transition: box-shadow 0.1s;
  transition: all 1.02s;
}

#btn-voltar:hover {
  box-shadow: 0px 0px 15px #fafafa;
}

#btn-voltar a {
  text-decoration: none;
  color: #dd4a48;
  font-weight: 600;
  height: auto;
}

.about {
  text-align: center;
  background-color: #fafafa;
  border-radius: 20px;
  padding: 1em;
  width: 70vw;
  margin: 10vh 15vw;
}

.about p {
  color: #121212;
  margin-bottom: 2vh;
}

.about-title {
  margin-bottom: 2vh;
  color: #121212;
  font-weight: 600;
}

/* design dos pré requistos */

#filtroRequisito {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 5vw;
  margin: 10vh 5vw 5vh;
}

p.balao,
p.balao1 {
  background: linear-gradient(135deg, #ccc, #fafafa, #949494);
  background-size: 220% 220%;
  animation: gradient 15s ease infinite;
  border-radius: 10px;
  color: #000000;
  padding: 30px;
  width: 80vw;
  margin: 3vh 10vw;
  text-align: center;
  transition: all 1.02s;
}

p.balao:hover,
p.balao1:hover {
  scale: 1.01;
  box-shadow: 0px 0px 5px #121212
}

p.balao1 {
  margin-top: 5vh;
}

p#nomerequisito {
  display: none;
}

.corpo-prerequisitos {
  display: flex;
  flex-direction: column;
  margin: 0;
}

.about-title2 {
  background-color: #fafafa;
  text-decoration: none;
  color: #dd4a48;
  cursor: pointer;
  border: none;
  border-radius: 10px;
  color: #dd4a48;
  font-size: 20px;
  justify-content: center;
  outline: none;
  padding: 5px 25px;
  transform: scale(1.02);
  transition: box-shadow 0.1s;
  transition: all 1.02s;
}

.about-title2:hover {
  cursor: pointer;
  scale: 1.02;
  font-weight: 900;
  filter: drop-shadow(0px 1px 5px #1212126b);
}

.toggle .line1 {
  transform: rotate(-45deg) translate(-5px, 6px);
}

.toggle .line2 {
  opacity: 0;
}

.toggle .line3 {
  transform: rotate(45deg) translate(-5px, -6px);
}

/* Edições Sobre.html */

.team-title {
  margin-top: 4rem;
  text-align: center;
}

/* Edição do time */

.team {
  text-align: center;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  margin: 4rem 5vw;
  flex-wrap: wrap;
  gap: 25px;
}

.team a {
  color: #fafafa;
  text-decoration: none;
}

.team img {
  border-radius: 10px;
  transition: 200ms ease-in-out;
  width: 100px;
}

.team img:hover {
  border-radius: 10px 10px 70px 10px;
}



/* Formulário Index */

.formulario {
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

.formulario a {
  gap: 3px;
  display: flex;
  background-color: #fafafa;
  border-radius: 20px;
  color: #dd4a48;
  font-size: 20px;
  font-weight: 600;
  margin: auto;
  padding: 1.3rem;
  text-decoration: none;
  transition: 150ms ease-in-out;
  text-align: center;
  vertical-align: middle;
}

.formulario a:hover {
  box-shadow: 0px 0px 15px #fafafa;
}

/* Página Cupons */

.title-cupom {
  display: flex;
  justify-content: center;
  margin: 3rem 0;
  font-weight: 600;
  color: #fafafa;
  letter-spacing: 2px;
}

.cupom-base{
display: flex;
justify-content: center;
margin: 3rem 0;
font-weight: 600;
color: #fafafa;
letter-spacing: 2px;
}
main.cards {
  display: flex;
  padding: 32px;
  justify-content: center;
  margin-bottom: -3rem;
}

main.cardsg {
  display: grid;
  grid-template-areas: "cardg" "cardg" "cardg";
}

main.cardg {
  grid-area: cardg;
}

main.cards section.card {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  background: #fafafa;
  padding: 3rem 1.5rem;
  border-radius: 8px;
  max-height: 468px;
  margin-left: 32px;
}

main.cards section.card:first-child {
  margin-left: 0;
}

main.cards section.card img {
  width: 64px;
  height: 64px;
}

main.cards section.card h3 {
  margin: 16px 0;
  font-weight: 600;
  font-size: 100%;
}

main.cards section.card span {
  font-weight: 300;
  max-width: 240px;
  margin-bottom: 16px;
}

main.cards section.card em {
  color: #dd4a48;
  font-weight: 600;
}

main.cards section.card button {
  padding: 0.5rem 1rem;
  text-transform: uppercase;
  border-radius: 32px;
  border: 0;
  cursor: pointer;
  font-size: 80%;
  font-weight: 500;
  margin: 1.5rem 0 -1rem;
}

main.cards section.card.academia button {
  background: linear-gradient(to right, #dd4a48, #dd4a48, #4f091d);
  background-size: 170%;
  color: #fafafa;
  transition: 150ms ease-in-out;

}

main.cards section.card.academia button:hover {
  box-shadow: 0px 0px 8px #4f091d;
}

main.cards section.card.farmacia button {
  background: linear-gradient(to right, #dd4a48, #dd4a48, #4f091d);
  background-size: 170%;
  color: #fafafa;
  transition: 150ms ease-in-out;
}

main.cards section.card.farmacia button:hover {
  box-shadow: 0px 0px 8px #4f091d;
}

main.cards section.card.mercado button {
  background: linear-gradient(to right, #dd4a48, #dd4a48, #4f091d);
  background-size: 170%;
  color: #fafafa;
  transition: 150ms ease-in-out;
}

main.cards section.card.mercado button:hover {
  box-shadow: 0px 0px 8px #4f091d;
}

/* Cores dos cards JavaScript */

#academia,
#farmacia,
#mercado {
  background: linear-gradient(135deg, #ccc, #fafafa, #949494);
  background-size: 220% 220%;
  animation: gradient 15s ease infinite;
  transition: .4s ease-in-out;
  color: #000;
}

#academia:hover,
#farmacia:hover,
#mercado:hover {
  transform: scale(1.02);
  box-shadow: 0px 0px 15px #1212129d;
}

.nodecoration {
  text-decoration: none;
}

.nodecoration:visited {
  text-decoration: none;
}

.nodecoration:link {
  text-decoration: none;
}

.nodecoration:active {
  text-decoration: none;
}

/* Início Card Responsivo */
/* Efeitos JavaScript + CSS Gaveta Responsiva */

@media (max-width: 1024px) {

  .container-left {
    width: auto;
    align-items: center;
  }

  .container-right {
    width: auto;
  }

  .nav-links {
    width: 60%;
  }

  .container {
    text-align: center;
  }

  .left-img {
    border-radius: 20px;
    box-shadow: 0px 1px 15px #121212;
    height: auto;
    margin-top: 2.5rem;
    width: auto;
    scale: 1.001;
  }

  /* Conteúdo da direita */

  .about {
    padding: 1em;
    width: 80vw;
    margin: 5vh 10vw;
  }

  /* Balão dos requisitos */

  #filtroRequisito {
    display: flex;
    flex-direction: column;
    width: 80vw;
    margin: 5vh 10vw;
    text-align: center;
    align-items: center;
  }

  .about-title2 {
    width: 70vw;
  }
}

@media (max-width: 810px) {

  body {
    overflow-x: hidden;
  }

  .nav-links {
    align-items: center;
    background: linear-gradient(135deg, #dd4a48, #dd4a48, #4f091d);
    border-radius: 75px 0 0 75px;
    display: flex;
    flex-direction: column;
    height: 92vh;
    overflow-x: hidden;
    position: absolute;
    right: 0px;
    top: 8vh;
    transform: translateX(100%);
    width: 50%;
  }

  .nav-links li {
    opacity: 1;
  }

  .nav-links a {
    color: #fafafa;
  }

  nav {
    display: flex;
    margin: 2% auto;
    justify-content: space-between;
    max-width: 80vw;

  }
  #logado .icon {
    scale: 150%;
    margin-right: 20px;
  }

  .material-symbols-outlined {
    color: #fff;
    scale: 1.03;
  }

  .formulario a {
    background-color: transparent;
    color: #fff;
    border: 2px solid #fff;
    border-radius: 15px;
    font-size: 16x;
    font-weight: 600;
    margin: auto;
    padding: 2%;
    text-decoration: none;
    transition: 150ms ease-in-out;
  }
  .burger {
    display: block;
  }

  .nav-active {
    transform: translateX(0%);
    z-index: 1;
  }

  .container {
    padding: auto;
    margin: 1vh 2vw auto 2vw;
    width: fit-content;
  }

  .container-full-line {
    margin: 0;
    margin-top: -09%;

  }

  .container-left,
  .container-right {
    scale: 0.9;
    gap: 1vw;
    margin: 0 auto;
    width: 375px;
    align-content: center;
  }

  .right-img {
    scale: 0.9;
    margin: 0 auto;
  }

  .right-img:hover {
    scale: 0.91;
  }
}

@media (max-width: 590px) {

  body {
    overflow-x: hidden;
    touch-action: pan-y;
  }

  .material-symbols-outlined {
    color: #fff;
    scale: 1.03;
  }

  .formulario a {
    background-color: transparent;
    color: #fff;
    border: 2px solid #fff;
    border-radius: 15px;
    font-size: 16x;
    font-weight: 600;
    margin: auto;
    padding: 2%;
    text-decoration: none;
    transition: 150ms ease-in-out;
  }

  .container {
    margin: 2%;
    align-items: center;
  }

  .container-left,
  .right-img {
    margin: 0;
    margin-top: 2%;
  }

  h2 {
    font-weight: 600;
    font-size: 20px;
  }
  #logado .icon {
    scale: 110%;
  }
  nav {
    align-items: center;
    display: flex;
    margin: 2% auto;
    min-height: 8vh;
    justify-content: space-between;
    max-width: 80vw;
    place-content: center;
    gap: 70vw;
  }

  .nav-links {
    text-align: center;
    margin: 2%;
    border-radius: 20px 0 0 20px;
    height: 50vh;
    overflow-x: hidden;
    position: absolute;
    right: 0px;
    top: 8vh;
    width: 40%;
  }

  .nav-links a {
    border-bottom: 1px solid #121212;
  }

  .nav-btn {
    transform: scale(1.3);
  }

  .team {
    align-items: center;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    transform: scale(0.8);
  }  
}

/* Carrousel Responsivo */

/* Animações */

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }

  50% {
    background-position: 100% 50%;
  }

  100% {
    background-position: 0% 50%;
  }
}

@keyframes navLinkFade {
  from {
    opacity: 0;
    transform: translateX(50px);
  }

  to {
    opacity: 1;
    transform: translateX(0px);
  }
}

@media (max-width: 1165px) {
  /* termos resposividade */

  #btn-voltar {
    margin: 5vh 12vw 5vh;
    background-color: #fafafa;
    text-decoration: none;
    color: #dd4a48;
    height: fit-content;
    width: 15vw;
    cursor: pointer;
    background: #fafafa;
    border: none;
    border-radius: 10px;
    color: #dd4a48;
    font-size: 16px;
    justify-content: center;
    outline: none;
    padding: 5px 25px;
    transform: scale(1.08);
    transition: box-shadow 0.1s;
    transition: all 1.02s;
  }
}

@media (max-width: 570px) {

  /* termos resposividade */
  .termos {
    background-color: #fafafa;
    margin: 7vh 3vw;
    border-radius: 25px;
    height: 50vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    box-shadow: 0px 15px 15px #1212126b;
  }

  #btn-voltar {
    margin: 5vh 12vw 5vh;
    background-color: #fafafa;
    text-decoration: none;
    color: #dd4a48;
    height: fit-content;
    width: fit-content;
    cursor: pointer;
    border: none;
    border-radius: 10px;
    color: #dd4a48;
    font-size: 16px;
    justify-content: center;
    outline: none;
    transform: scale(1.08);
    transition: box-shadow 0.1s;
    transition: all 1.02s;
    
  }
  .container-full-line {
    margin-top: -12%;
  }
}

@media (max-width: 375px) {  
  .container-right {
    margin: 0 auto;
    width: 375px;
    align-content: center;
  }

  .about-title2 {
    width: 70vw;
    margin: 2vh auto;
  }
  .container-full-line {
    margin-top: -15%;
  }
}

/* Responsivo Cupons */

@media (max-width: 720px) {
  .container {
    width: auto;
    grid-template-areas:
      "container-left"
      "container-right";
  }

  main.cards {
    flex-direction: column;
  }

  main.cards section.card {
    margin-left: 0;
    margin-bottom: 32px;
  }

  main.cards section.card:last-child {
    margin-bottom: 0;
  }

  main.cards section.card button {
    font-size: 70%;
  }
}